<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title><?php echo($lang["V86"]); ?> - <?php echo($setting['page_title']); ?></title>
        <link type="text/css" rel="stylesheet" href="./media/css/front.css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.bxSlider.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($setting["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/front.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $("#language").val('<?php echo $customer_lang ?>');
            }); 
        </script>
    </head>
    <body>
        <div id="wrapper">
            <div id="menu"> <span class="right"> <?php echo($lang["V2"]); ?>:
                    <select name="language" id="language">
                        <?php for ($i = 0; $i < count($language_list); $i++) {
                        ?>
                              <option value="<?php echo($language_list[$i]); ?>"><?php echo(strtoupper($language_list[$i])); ?></option>
                        <?php } ?>
                      </select>
                  </span> <span>
                      <ul>
                          <li><a href="./index.php?c=frontTicket&m=sign" title="<?php echo($lang["V3"]); ?>"><?php echo($lang["V4"]); ?></a></li>
                          <li><a href="./index.php?c=frontTicket&m=ticketList" title="<?php echo($lang["V5"]); ?>"><?php echo($lang["V6"]); ?></a></li>
                          <li><a href="./index.php?c=frontTicket&m=profile" title="<?php echo($lang["V7"]); ?>"><?php echo($lang["V8"]); ?></a></li>
                          <li><a href="./index.php?c=frontArticle" title="<?php echo($lang["V9"]); ?>"><?php echo($lang["V10"]); ?></a></li>
                        <?php if ($signed) {
 ?>
                              <li><a href="./index.php?c=frontTicket&m=signOut" title="<?php echo($lang["V11"]); ?>"><?php echo($lang["V12"]); ?></a></li>
<? } else { ?>
                              <li><a href="./index.php?c=frontTicket&m=login" title="<?php echo($lang["V56"]); ?>"><?php echo($lang["V56"]); ?></a></li>
<?php } ?>
                          <li>&nbsp;</li>
                      </ul>
                  </span>
                  <div class="clear"></div>
              </div>
              <div class="slider">
                  <ul id="banner">
                      <li><img src="./media/front/banner_1.jpg" width="768" height="260" alt="<?php echo($lang["V13"]); ?>" /></li>
                      <li><img src="./media/front/banner_2.jpg" width="768" height="260" alt="<?php echo($lang["V13"]); ?>" /></li>
                      <li><img src="./media/front/banner_3.jpg" width="768" height="260" alt="<?php echo($lang["V13"]); ?>" /></li>
                  </ul>
              </div>
              <div class="clear"></div>
              <div id="subnav"><?php echo($lang["V105"]); ?> / <?php echo($lang["V86"]); ?></div>
              <div id="content">
                  <div class="art-title">
<?php echo stripcslashes($ticket['subject']) ?>
                      </div>
                      <div id="ticket_status">
                          <span class="right"><a class="more" title="<?php echo($lang["V88"]); ?>" onclick="showObj($('#moreinfo'), $(this));"><?php echo($lang["V87"]); ?> &gt;&gt;</a></span>
                          <span>
                        <?php echo($lang["V89"]); ?>: <img src="./media/front/ticket_status_<?php echo $ticket['status'] ?>.png" alt="" height="16" align="absmiddle" title="" /> |
                        <?php echo($lang["V65"]); ?>: <?php echo($lang['priority_status_' . $ticket["priority"]]); ?> |
<?php echo($lang["V91"]); ?>: <?php echo($ticket['update_date']); ?>
                      </span>
                  </div>
                  <div class="clear"></div>
                  <div id="moreinfo" class="hidden">
                      <table width="100%" border="0" cellpadding="0" cellspacing="0">
                          <tr>
                              <td><?php echo($lang["V61"]); ?>: </td>
                              <td><a href="mailto:<?php echo $customer['email'] ?>"><?php echo $customer['email'] ?></a></td>
                          </tr>
                          <tr>
                              <td width="140"><?php echo($lang["V64"]); ?>: </td>
                              <td><?php echo $department ?></td>
                          </tr>
                          <tr>
                              <td><?php echo($lang["V92"]); ?>: </td>
                              <td><?php echo($customer['company_name']); ?></td>
                          </tr>
                          <tr>
                              <td><?php echo($lang["V45"]); ?>: </td>
                              <td><?php echo($customer['telephone']); ?></td>
                          </tr>
                          <tr>
                              <td><?php echo($lang["V44"]); ?>: </td>
                              <td><?php echo($customer['address']); ?></td>
                          </tr>
                          <tr>
                              <td><?php echo($lang["V63"]); ?>: </td>
                              <td><?php echo($customer['web_site']); ?></td>
                          </tr>
                        <?php
                          if (count($custom_content)) {
                              foreach ($custom_content as $val) {
                        ?>
                                  <tr>
                                      <td><?php echo $val['name'] ?>: </td>
                                      <td><?php echo $val['content'] ?></td>
                                  </tr>
                        <?php
                              }
                          }
                        ?>
                      </table>

                  </div>
                  <div class="sub-category-0">
                      <div class="post-info"><?php echo(sprintf($lang["V93"], $customer['first_name'] . " " . $customer['last_name'], ($ticket['create_date']))); ?> | <?php echo($lang["V94"]); ?>:<?php echo $ticket['client_ip'] ?></div>
                      <div class="message">
                        <?php
                          echo($ticket['message']);
                        ?>
                      </div>
                    <?php if (count($attchment)) { ?>
                              <hr />
                              <div><?php echo($lang["V22"]); ?>:</div>
                    <?php foreach ($attchment as $v) {
 ?>
                                  <div class="attach_list"><a href="./index.php?c=download&model=ticket&id=<?php echo $v['id'] ?>&key=<?php echo $v['rand_key'] ?>"><?php echo $v['real_name'] ?></a> [<?php echo $v['file_size']; ?>]</div>
                    <?php } ?>
<?php } ?>
                      </div>
                <?php
                          if ($reply) {
                ?>
                              <br />

                              <div class="sub-title-s"><?php echo($lang["V95"]); ?>:</div>
                <?php
                              foreach ($reply as $val) {
                ?>
                                  <div class="sub-category-<?php echo($val["self"]); ?>" >
                                      <div class="post-info"><?php echo($lang["V96"]); ?>: <?php echo($val["replier"]) ?>, <?php echo($lang["V97"]); ?>: <?php echo($val['create_date']); ?></div>
                                      <div class="message">
                        <?php
                                  echo($val['message']);
                        ?>
                              </div>
                    <?php if (isset($val['attachment']) && count($val['attachment'])) { ?>
                                      <hr />
                                      <div><?php echo($lang["V22"]); ?>:</div>
                    <?php foreach ($val['attachment'] as $v) {
                    ?>
                                          <div class="attach_list"><a href="./index.php?c=download&model=ticket_reply&id=<?php echo $v['id'] ?>&key=<?php echo $v['rand_key'] ?>"><?php echo $v['real_name'] ?></a> [<?php echo $v['file_size']; ?>]</div>
                    <?php } ?>
                    <?php } ?>
                              </div>
                <?php
                              }
                          }
                ?>
                          <!--vote -->
                <?php
                          if ($ticket["status"] != 5) {
                ?>
                              <br />
                              <div class="notice" id="resolved">If your ticket has been resolved, <a href="javascript:void(0)" onclick='showObj($("#rateing"))' >Please click here to close it.</a></div>
                              <div class="hidden" id="rateing">
                                  <form action="index.php?c=frontTicket&m=close" method="post" enctype="application/x-www-form-urlencoded" name="closeTicket" target="_self" id="closeTicket">
                                      <p>Was This Reply Helpful?</p>
                                      <div>
                                          <input type="radio" name="rate" value="1" id="rate_1" />
                            <?php echo($lang["V98"]); ?>
                              <input type="radio" name="rate" value="2" id="rate_2" />
                            <?php echo($lang["V99"]); ?>
                              <input name="rate" type="radio" id="rate_3" value="3" checked="checked" />
                            <?php echo($lang["V100"]); ?>
                              <input type="radio" name="rate" value="4" id="rate_4" />
                            <?php echo($lang["V101"]); ?>
                              <input type="radio" name="rate" value="5" id="rate_5" />
                            <?php echo($lang["V102"]); ?> </div>
                          <div class="form-submit">
                              <input name="submit_btn" type="submit" id="submit_btn" value="<?php echo($lang["V103"]); ?>" />
                              <input type="hidden" name="id" value="<?php echo $ticket['id'] ?>" />
                              <input type="hidden" name="key" value="<?php echo $ticket['rand_key'] ?>" />
                          </div>
                      </form>
                  </div>
                <?php
                          } else {
                ?>
                              <p>&nbsp;</p>
                              <div class="notice" ><?php echo($lang["V104"] . " : " . $lang["rating_status_" . $ticket["rating"]]); ?>!</div>
                              <p>&nbsp;</p>
                <?php
                          }
                ?>
                          <!-- vote -->

                          <!--reply -->
                <?php
                          if ($ticket['status'] < 5 && $ticket["locked"] == 0 && $ticket["removed"] == 0) {
                ?>
                              <br />

                              <div class="sub-title-s"><?php echo($lang["V106"]); ?>:</div>
                              <form action="./index.php?c=frontTicket&m=reply" method="post" enctype="multipart/form-data" name="replyTicket" id="replyTicket">
                                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                      <tr>
                                          <td width="140" valign="top"><?php echo($lang["V107"]); ?>:<span class="required"></span></td>
                                          <td><textarea name="message" cols="60" rows="12" class="full" id="message" onclick="return clickIpt($(this))"></textarea></td>
                                      </tr>
                                  </table>
                    <?php if ($setting['ticket_attach_on'] == 1) {
                    ?>
                                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                      <tr>
                                          <td width="140" valign="top"><?php echo($lang["V22"]); ?>:</td>
                                          <td><?php for ($i = 0; $i < $setting['ticket_attach_number']; $i++) { ?>
                                                  <div>
                                                      <input name="attachment[]" type="file" id="attachment_<?php echo($i); ?>" size="40" />
                                                  </div>
                                <?php } ?></td>
                          </tr>
                          <tr>
                              <td>&nbsp;</td>
                              <td><?php echo($lang["V108"]); ?>: <?php echo($lang["V71"]); ?>: <?php echo $setting['ticket_attach_size'] . " Kb (" . round($setting['ticket_attach_size'] / 1024, 2) . " Mb)" ?></td>
                          </tr>
                      </table>
                    <?php } ?>
                    <?php if ($setting['use_captcha'] == 1) {
                    ?>
                                  <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                      <tr>
                                          <td width="140" rowspan="2" valign="top"><?php echo($lang["V73"]); ?></td>
                                          <td colspan="2"><?php echo($lang["V72"]); ?>: <span class="required"></span></td>
                                      </tr>
                                      <tr>
                                          <td width="60"><input name="vcode" type="text" class="form-input" id="vcode" size="10" maxlength="4" onclick="return clickIpt($(this))" /></td>
                                          <td valign="top"><img src="./index.php?c=utility&m=createCaptcha&r=<?php echo(rand(100, 10000)); ?>" alt="<?php echo($lang["V73"]); ?>" name="captcha" align="absmiddle" id="captcha" style="cursor:pointer;" title="<?php echo($lang["V73"]); ?>" /></td>
                                      </tr>
                                  </table>
                    <?php } ?>
                              <div class="form-submit" style="padding-left:150px">
                                  <input name="submit_btn" type="submit" id="submit_btn1" value="<?php echo($lang["V109"]); ?>" />
                                  <input type="hidden" name="id" value="<?php echo $ticket['id'] ?>" />
                                  <input type="hidden" name="key" value="<?php echo $ticket['rand_key'] ?>" />
                              </div>
                          </form>
                      </div>
            <?php } ?>

                          <div id="copyright"><?php echo($setting['site_copyright']); ?></div>
        </div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
    </body>
</html>
