$(document).ready(function(){
    
    $("#createCategory").submit(function(){
        var options = {
            beforeSubmit : checkCreateCategory,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.href = "index.php?c=articleCategory";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
    
    $("#createArticle").submit(function(){
        editor.sync();
        var options = {
            beforeSubmit : checkCreateArticle,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=article";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
    
    $("#updateCategory").submit(function(){
        var options = {
            beforeSubmit : checkCreateCategory,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice( 'success', responseText,2000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=articleCategory";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#removeCategory").submit(function(){
        var options = {
            beforeSubmit : checkRemvoeCategory,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success', responseText,2000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=articleCategory";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#updateArticle").submit(function(){
        editor.sync();
        var options = {
            beforeSubmit : checkCreateArticle,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=article";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });  
    
    $("#updateSetting").submit(function(){
        var options = {
            beforeSubmit : checkUpdateSetting,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 3000);
                    window.location.reload(true);
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
});

function checkCreateCategory(){
    var c_subcategory = checkObjBlank("#subcategory");
    var c_category = checkObjBlank("#category");

    if(c_subcategory && c_category){
        showNotice();
        return  true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }
}

function checkRemvoeCategory(){
    var radio=$(":radio[name=movearticle]:checked").val();
    if(radio=="1"){
        var c_category = checkObjBlank("#category");

        if(c_category){
            showNotice();
            return  true;
        }else{
            showNotice( 'error',error_category_required,2000);
            return false;
        }
        
    }
    showNotice();
    return  true;
}

function checkCreateArticle(){
    var c_subject = checkObjBlank("#subject");
    var c_content = checkObjBlank("#editor_message");

    if(c_subject && c_content){
        showNotice();
        return  true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }
}

function articleSort(id,direction){
    $.ajax({
        url : "index.php?c=article&m=sort",
        type : "post",
        dataType : "text",
        data:"direction="+direction+"&id="+id,
        success:function(data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
                setTimeout( function(){
                    window.location.reload(true);
                }, ( 1000 ) );
            }else{
                showNotice('error',data, 2000);
            }
        }
    })
}

function removeArticle(id){
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: dialog_del_confirm,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=article&m=remove",
                    type : "get",
                    datatype : "text",
                    data : "id="+id,
                    success:function (data){
                        if(data.indexOf('Error:') == -1){
                            showNotice('success',data, 2000);
                            setTimeout( function(){
                                window.location.reload(true);
                            }, ( 1000 ) );
                        }else{
                            showNotice('error',data, 2000);
                        }
                    }
                });
            }
        }
    });
}

function checkUpdateSetting(){
    var c_site_copyright = checkObjBlank("#site_copyright");
    var c_site_url = checkObjBlank("#s_site_url");
    var c_page_title = checkObjBlank("#page_title");
    var c_helpdesk_url = checkObjBlank("#s_helpdesk_url");
    var c_idle_offline = checkObjBlank("#idle_offline");
    if(c_site_copyright && c_site_url && c_page_title && c_helpdesk_url &&c_idle_offline ){
        showNotice();
        return true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }

}
