
$(document).ready(function(){
    $('#createArea').submit(function() {
        var options = {
            beforeSubmit : checkAddArea,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice( 'success',responseText,2000);
                    setTimeout( function(){
                        window.location.href = "index.php?c=customerArea";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText,2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;

    });

    $('#updateArea').submit(function() {
        var options = {
            beforeSubmit : checkEditArea,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice( 'success',responseText,2000);
                    setTimeout( function(){
                        window.location.href = "index.php?c=customerArea";
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText,2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

})

function checkAddArea() {

    var name = $("#name");

    if(name){
        showNotice();
        return  true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }
}

function checkEditArea() {
    var name = $("#name");

    if(name){
        showNotice();
        return  true;
    }else{
        showNotice('error',required_error,2000);
        return false;
    }
}
function removeArea(id){
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: dialog_del_confirm,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=customerArea&m=remove",
                    type : "post",
                    datatype : "text",
                    data : "id="+id,
                    success:function (data){
                        if(data.indexOf('Error:') == -1){
                            showNotice( 'success',data,2000);
                            setTimeout( function(){
                                window.location.reload(true);
                            }, ( 1000 ) );
                        }else{
                            showNotice( 'error',data,2000);
                        }
                    }
                })
            }
        }
    });
}

