<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang["V204"]); ?> -<?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" href="./media/css/jquery.jmodal.css" type="text/css" />
        <link rel="stylesheet" href="./media/editor/themes/simple/simple.css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/js/jquery.jmodal.js"></script>
        <script type="text/javascript" charset="utf-8" src="./media/editor/kindeditor-min.js"></script>
        <script type="text/javascript" src="./media/editor/editor-config.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/ticket.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="<?php echo($lang["V2"]); ?>" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='<?php echo($lang["V2"]); ?>')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" />
                    </span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="<?php echo($lang["V4"]); ?>" width="13" height="13" /></li>
                <li><strong><?php echo($lang["V4"]); ?>:</strong></li>
                <li><a href="./index.php?c=ticket"><?php echo($lang["V96"]); ?></a></li>
                <li>/</li>
                <li><?php echo($lang["V229"]); ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile"> <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang["V6"]); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang["V7"]); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang["V8"]); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang["V9"]); ?></a></div>
                <div class="clear"></div>
                <div> <?php echo($menu); ?> </div>
            </div>
            <div id="rightside">
                <div id="content">
                    <div id="sub-title"> <span class="right">
                            <!--add note -->
                            <span class="action_btn note"><a href="javascript:void(0)" class="" title="<?php echo($lang["V427"]); ?>" onclick='return showObj($("#noteform"))'></a></span>
                            <!--edit -->
                            <span  class="action_btn edit"><a href="./index.php?c=ticket&m=edit&id=<?php echo $ticket['ticket_id'] ?>&key=<?php echo $ticket['rand_key'] ?>" title="<?php echo($lang["V61"]); ?>"></a></span>
                            <!--Delete -->
                            <!--lock -->
                            <span class="action_btn lock-<?php echo($ticket['locked']); ?>"><a href="javascript:void(0)" onclick="changeLock(<?php echo $ticket['ticket_id'] ?>,<?php echo($ticket['locked']); ?>)" title="<?php echo($lang["action_lock_ticket_" . $ticket["locked"]]); ?>"></a></span>
                            <?php if ($ticket['ticket_status'] != 5) {
                            ?>
                                  <span class="action_btn close" ><a href="javascript:void(0)" onclick="changeStatus(<?php echo $ticket['ticket_id'] ?>,5)" title="<?php echo $lang["V429"]; ?>"></a></span>
                            <?php } ?>
                          </span>
                          <!-- -->
                          <span> <?php echo(stripcslashes($ticket['subject'])); ?> </span>
                        <?php
                              if ($ticket['rating']) {
                        ?>
                                  <span class="left-line"><img src="./media/images/star_<?php echo($ticket['rating'] * 20) ?>.png" alt="<?php echo($lang["V431"]); ?>" title="Rated: <?php echo($lang["rating_alt_" . $ticket["rating"]]); ?>" height="16" align="baseline" /></span>
                        <?php
                              }
                              if ($ticket['ticket_status'] == 5) {
                        ?>
                                  <span class="left-line"><img src="./media/images/closed_icon.png" alt="" height="16" align="baseline"  title="<?php echo $lang["V98"]; ?>" /></span>
                        <?php
                              }
                              if ($ticket['locked'] == 1) {
                        ?>
                                  <span class="left-line"><img src="./media/images/locked_<?php echo($ticket['locked']); ?>.png" alt="" height="16" align="baseline" title="<?php echo $lang["V432"][1]; ?>" /></span>
                        <?php } ?>
                          </div>
                          <div class="post-info"> <span class="right"><?php echo($lang["V433"]); ?>: <?php echo(count($reply_list)); ?></span> <span><?php echo($lang["V434"]); ?> <strong><?php echo($ticket['first_name'] . " " . $ticket['last_name']); ?></strong> on <?php echo($ticket['ticket_create_date']); ?> | <?php echo($lang["V384"]); ?>: <?php echo $lang["priority_status_" . $ticket["priority"]] ?> | <?php echo($lang["V227"]); ?>: <?php echo ($ticket['ticket_update_date']) ?> | <a href="javascript:void(0)"  onclick='return showObj($("#moreinfo"), $(this))' >Show more &gt;&gt;</a></span> </div>
                          <div id="noteform" class="hidden">
                              <form action="index.php?c=ticketNote&m=create" method="post" name="createNote" id="createNote">
                                  <p>
                                      <textarea name="note" cols="80" rows="4" id="note" class="full"></textarea>
                                  </p>
                                  <p>
                                      <input type="submit" class="btn big btn-blue" value="<?php echo($lang["V427"]); ?>" name="submit_btn" />
                                      <input type="hidden" id="ticket_id" name="ticket_id" value="<?php echo $ticket['ticket_id'] ?>" />
                                      <span class="red-font" id="notice"><?php echo($lang["V436"]); ?>!</span> </p>
                              </form>
                          </div>
                          <div id="moreinfo" class="hidden">
                              <table width="100%" border="0" cellpadding="0" cellspacing="0" id="tablehover">
                                  <tr>
                                      <td width="140" bgcolor="#F9F9F9"><?php echo($lang["V190"]); ?>:</td>
                                      <td colspan="2" bgcolor="#F9F9F9"><img src="./media/images/ticket_status_<?php echo $ticket['ticket_status'] ?>.png" alt="" height="16" title="<?php echo $lang["ticket_status_" . $ticket["ticket_status"]] ?>" /></td>
                                  </tr>
                                  <tr>
                                      <td width="140"><?php echo($lang["V384"]); ?>:</td>
                                      <td width="200"><?php echo $lang["priority_status_" . $ticket["priority"]] ?>&nbsp;</td>
                                      <td><select name="priority" onchange="changePriority(<?php echo($ticket['ticket_id']) ?>,this.value)">
                                              <option value="" selected="selected"><?php echo($lang["V439"]); ?></option>
                                              <option value="1"> <?php echo( $lang["V385"]); ?></option>
                                              <option value="2"> <?php echo( $lang["V386"]); ?></option>
                                              <option value="3"> <?php echo( $lang["V387"]); ?></option>
                                              <option value="4"> <?php echo( $lang["V388"]); ?></option>
                                              <option value="5"> <?php echo( $lang["V389"]); ?></option>
                                          </select></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang["V125"]); ?>:</td>
                                      <td><?php echo($department_name); ?></td>
                                      <td><?php if (count($can_sign_department_list)) {
                        ?>
                                    <select name="department" onchange="changeDept(<?php echo($ticket['ticket_id']) ?>,$(this).val())" id="department">
                                        <option value=""><?php echo($lang["V440"]); ?></option>
                                        <?php foreach ($can_sign_department_list as $department) {
                                        ?>
                                              <option value="<?php echo $department ?>"><?php echo($department_name_list[$department]); ?></option>
                                        <?php } ?>
                                      </select>
                                    <?php } ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang["V441"]); ?>:</td>
                                  <td><?php echo($realname_list[$ticket['ticket_user_id']]); ?></td>
                                  <td><?php if (count($can_sign_user_list)) { ?>
                                          <select name="staff" onchange="changeStaff(<?php echo($ticket['ticket_id']) ?>,$(this).val())">
                                              <option value=""><?php echo($lang["V442"]); ?></option>
                                        <?php foreach ($can_sign_user_list as $user) {
 ?>
                                              <option value="<?php echo($user) ?>"><?php echo($realname_list[$user]); ?></option>
<?php } ?>
                                      </select>
<?php } ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang["V443"]); ?>: </td>
                                  <td colspan="2"><?php echo($ticket['company_name']); ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang["V444"]); ?>: </td>
                                  <td colspan="2"><?php echo($ticket['telephone']); ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang["V143"]); ?>: </td>
                                  <td colspan="2"><?php echo($ticket['address']); ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang["V144"]); ?>: </td>
                                  <td colspan="2"><?php echo($ticket['web_site']); ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang["V23"]); ?>:</td>
                                  <td colspan="2"><a href="mailto:<?php echo $ticket['email'] ?>"><?php echo $ticket['email'] ?></a></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang["V309"]); ?>:</td>
                                  <td colspan="2"><?php echo $ticket['client_ip'] ?></td>
                              </tr>
                            <?php
                                      if (count($custom_content)) {
                                          foreach ($custom_content as $val) {
                            ?>
                                              <tr>
                                                  <td><?php echo $val["name"]; ?>:</td>
                                                  <td colspan="2"><?php echo $val['content']; ?></td>
                                              </tr>
                            <?php }
                                      } ?>
                                  </table>
                                  <hr />
                              </div>
                              <!-- ticket comment begin -->
                              <div class="sub-category-0">
                                  <div class="comment">
                                      <div class="reply-message"><?php echo($ticket['message']); ?></div>
                            <?php
                                      if (count($attchment_list)) {
                            ?>
                                          <hr />
                                          <div><?php echo($lang["V93"]); ?>:</div>
<?php foreach ($attchment_list as $key => $attchment) { ?>
                                              <div class="attach_list"><a href="./index.php?c=download&model=ticket&key=<?php echo $attchment['rand_key'] ?>&id=<?php echo $attchment['id'] ?>"><?php echo $attchment['real_name'] ?></a> [<?php echo $attchment['file_size']; ?>]</div>
                            <?php } ?>
<?php } ?>
                                  </div>
                              </div>
                              <!-- ticket comment end -->
                              <!-- notes begin -->
                    <?php
                                      if (count($note_list)) {
                    ?>
                                          <div class="message-title"><?php echo($lang["V445"]); ?>:</div>
                                          <div class="sub-category-1">
                        <?php foreach ($note_list as $note) { ?>
                                              <div class="note-list">
                                                  <div class="post-info" id="note_<?php echo $note['id'] ?>"> <span class="right"> <span class="action_btn dele-0"><a href="javascript:void(0)" onclick="removeNote(<?php echo $note['id'] ?>)" title="<?php echo($lang["V62"]); ?>"></a></span> </span> <span><?php echo($lang["V446"]); ?> <b><?php echo($realname_list[$note['user_id']]); ?></b> ( <?php echo($note['create_date']); ?> ) </span> </div>
                                                  <div class="reply-message" id="note_<?php echo($note['id']); ?>"><?php echo($note['note']); ?></div>
                                              </div>
                        <?php } ?>
                                      </div>
                    <?php
                                      }
                    ?>
                                      <!-- notes end -->
                                      <!-- ticket reply list begin -->
                    <?php
                                      if (count($reply_list)) {
                    ?>
                                          <div class="message-title"><?php echo($lang["V447"]); ?>:</div>
                    <?php
                                          foreach ($reply_list as $reply) {
                    ?>
                                              <div class="sub-category-<?php echo((int) $reply["self"]); ?>">
                                                  <div class="reply-list">
                                                      <div class="post-info"> <span class="right">
                                                              <!-- -->
                                                              <span class="action_btn edit"><a href="./index.php?c=ticketReply&m=edit&id=<?php echo $reply['id'] ?>" title="<?php echo($lang["V61"]); ?>"></a></span>
                                                              <!-- -->
                                                              <span class="action_btn dele-0"><a href="javascript:void(0)" onclick="removeReply(<?php echo $reply['id'] ?>)" title="<?php echo($lang["V62"]); ?>"></a></span></span>
                                                          <!-- -->
                                                          <span><?php echo(sprintf($lang["V448"], "<strong>" . $reply['replier'] . "</strong>")); ?> ( <?php echo ($reply['create_date']) ?> ) </span> </div>
                                                      <div class="reply-message"> <?php echo($reply['message']); ?> </div>
                            <?php if (isset($reply['attachment']) && count($reply['attachment'])) {
                            ?>
                                                  <hr />
                                                  <div><?php echo($lang["V93"]); ?>:</div>
                            <?php foreach ($reply['attachment'] as $key => $value) {
 ?>
                                                      <div class="attach_list"><a href="./index.php?c=download&model=ticket_reply&key=<?php echo $value['rand_key'] ?>&id=<?php echo $value['id'] ?>"><?php echo $value['real_name'] ?></a> [<?php echo $value['file_size']; ?>]</div>
                            <?php
                                                  }
                                              }
                            ?>
                                          </div>
                                      </div>
                    <?php
                                          }
                    ?>
                    <?php
                                      }
                    ?>
                                      <!-- ticket reply list end -->
                    <?php
                                      if ($ticket['can_reply']) {
                    ?>
                                          <div class="message-title"><?php echo($lang["V449"]); ?> </div>
                                          <div class="reply">
                                              <form action="index.php?c=ticketReply&m=create" method="post" enctype="multipart/form-data" name="replyTicket" target="_self" id="replyTicket">
<?php if (count($canned_list)) { ?>
                                              <p>
                                                  <select name="append" id="append">
                                                      <option value="0"><?php echo($lang["V450"]); ?></option>
                                                      <option value="1" selected="selected"><?php echo($lang["V451"]); ?></option>
                                                  </select>
                                                  <select id="canned" name="canned" onchange="return getOneCanned(this.value, $('#append').val());">
                                                      <option value="">-- <?php echo($lang["V452"]); ?> --</option>
                                    <?php foreach ($canned_list as $canned) { ?>
                                                  <option value="<?php echo $canned['id'] ?>"><?php echo $canned['title'] ?></option>
                                    <?php } ?>
                                          </select>
                                      </p>
                            <?php } ?>
                                          <p>
                                              <textarea name="message" cols="80" rows="20" id="editor_message" class="full"></textarea>
                                          </p>
                            <?php if ($setting['ticket_attach_on'] == 1) {
                            ?>
                                              <div><?php echo($lang["V93"]); ?>:</div>
                            <?php for ($i = 0; $i < $setting['ticket_attach_number']; $i++) {
                            ?>
                                                  <p>
                                                      <input type="file" size="40" name="attachment[]" />
                                                  </p>
                            <?php } ?>
                                              <p><?php echo($lang["V42"]); ?>: <?php echo $setting['ticket_attach_size'] . " Kb (" . round($setting['ticket_attach_size'] / 1024, 2) . " Mb)" ?></p>
                            <?php } ?>
                                          <div class="bottom-options">
                                              <input name="submit_btn" type="submit" class="btn big btn-blue" id="reply-submit_btn" value="<?php echo($lang["V408"]); ?>" />
                                              <input type="hidden" id="ticket_id" name="ticket_id" value="<?php echo $ticket['ticket_id'] ?>" />
                                          </div>
                                      </form>
                                  </div>
                    <?php } ?>
                                  </div>
                                  <div id="footer">
                                      <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="<?php echo($lang["V15"]); ?>" align="absmiddle" /> | <?php echo($lang["V14"]); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
        <div id="onlinetimer"></div>
    </body>
</html>
